Page MenuHomePhabricator

Set $wgCategoryCollation = uca-tr on trwiki
Closed, ResolvedPublic

Description

Do we have a chance to change the alphabetical order in category pages? The Turkish alphabet has "Ç" as its fourth letter; i.e, it comes after "C".

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2018, 5:51 PM
Reedy renamed this task from Turkish Wikipedia: Alphabetical order in the categories (collation) to Set $wgCategoryCollation = uca-tr on trwiki.Jan 15 2018, 6:08 PM
Reedy edited projects, added Wikimedia-Site-requests; removed MediaWiki-Categories.
Framawiki added a subscriber: Framawiki.

To answer to your question : yes, it could be possible :)

Per https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes, as it's a config change request, can you start a discussion on your local village pump about this ? Thanks !

Any updates?

No, otherwise they would be listed here. Please provide a configuration change patch by following https://www.mediawiki.org/wiki/Gerrit/Tutorial . You need to add one line to the "wgCategoryCollation" section in wmf-config/InitialiseSettings.php in the repository project called operations/mediawiki-config/.

Change 452464 had a related patch set uploaded (by Superyetkin; owner: Superyetkin):
[operations/mediawiki-config@master] Set $wgCategoryCollation = uca-tr on trwiki

https://gerrit.wikimedia.org/r/452464

Urbanecm edited projects, added User-Urbanecm; removed Community-consensus-needed.
Urbanecm added a subscriber: Urbanecm.

I'll take care about deployment.

Urbanecm triaged this task as Normal priority.Aug 23 2018, 10:50 PM
Urbanecm moved this task from Backlog to To deploy - scheduled for SWAT on the User-Urbanecm board.

Change 452464 merged by jenkins-bot:
[operations/mediawiki-config@master] Set $wgCategoryCollation = uca-tr on trwiki

https://gerrit.wikimedia.org/r/452464

Mentioned in SAL (#wikimedia-operations) [2018-08-23T23:28:10Z] <reedy@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T184943 (duration: 00m 48s)

Mentioned in SAL (#wikimedia-operations) [2018-08-23T23:28:42Z] <Reedy> running mwscript updateCollation.php --wiki=trwiki --previous-collation=uppercase T184943

Urbanecm closed this task as Resolved.Aug 24 2018, 12:35 AM

Could you do this for trwikiquote too?

Could you do this for trwikiquote too?

Please create a new task and add a community consensus link in it :) Thanks